---
apiVersion: v1
items:
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2020-05-26T14:35:16Z"
    creationTimestamp: "2020-05-26T14:17:37Z"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2020-05-26T14:35:16Z"
    name: kube-controller-manager
    namespace: openshift-kube-controller-manager
    resourceVersion: "20831"
    selfLink: /api/v1/namespaces/openshift-kube-controller-manager/endpoints/kube-controller-manager
    uid: 8574a41e-3b8b-4873-93ea-af3b3c070d4a
  subsets:
  - addresses:
    - ip: 10.0.134.165
      nodeName: ip-10-0-134-165.ec2.internal
      targetRef:
        kind: Pod
        name: kube-controller-manager-ip-10-0-134-165.ec2.internal
        namespace: openshift-kube-controller-manager
        resourceVersion: "20830"
        uid: b73a8497-5767-473d-a7cf-a76d21f51008
    - ip: 10.0.147.37
      nodeName: ip-10-0-147-37.ec2.internal
      targetRef:
        kind: Pod
        name: kube-controller-manager-ip-10-0-147-37.ec2.internal
        namespace: openshift-kube-controller-manager
        resourceVersion: "19085"
        uid: cdc1afc0-d82b-4173-bbf5-02e0728e2f54
    - ip: 10.0.162.213
      nodeName: ip-10-0-162-213.ec2.internal
      targetRef:
        kind: Pod
        name: kube-controller-manager-ip-10-0-162-213.ec2.internal
        namespace: openshift-kube-controller-manager
        resourceVersion: "20278"
        uid: b958723d-cbeb-43e2-96ca-2d7f4a129a0b
    ports:
    - name: https
      port: 10257
      protocol: TCP
kind: EndpointsList
metadata:
  resourceVersion: "53804"
  selfLink: /api/v1/namespaces/openshift-kube-controller-manager/endpoints
